Issue 12151 - Missing linker mapfiles for dynamically loaded libraries
Missing linker mapfiles for dynamically loaded libraries
Status: CLOSED FIXED
Product: gsl
Classification: Code
Component: code
644
All All
: P3 trivial (vote)
: OOo 1.1 Beta2
Assigned To: christof.pintaske
issues@gsl
:
Depends on:
Blocks: 11945
  Show dependency treegraph
 
Reported: 2003-03-08 17:40 UTC by matthias.huetsch
Modified: 2003-04-28 16:59 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description matthias.huetsch 2003-03-08 17:40:37 UTC
Several dynamically loaded shared libraries delivered by modules dtrans /
extensions fail to provide (symbol scoping) linker mapfiles.

For a detailed description see the 'meta task' issue 11945.

Affected in 'dtrans' are at least 'libdtransX11...so' and 'libmcnttype.so',
affected in 'extensions' is at least 'libscn...so' (in 'source/scanner').

Both modules have been added to 'cws_srx644_tune01'.
Comment 1 matthias.huetsch 2003-03-08 17:41:42 UTC
Added tentative target milestone 'OOo 1.1 Beta2'.
Comment 2 philipp.lohmann 2003-03-12 15:51:27 UTC
IPOI
Comment 3 philipp.lohmann 2003-03-12 16:13:29 UTC
fixed in tune01
Comment 4 matthias.huetsch 2003-03-26 17:50:52 UTC
Hi Christof,

reopening for more libraries affected in various modules of the
'gsl' project:

libraccessbridge.so	(gsl/accessibility/bridge/source/remote)
libfrm644ss.so	(gsl/forms/util)
libcmdmail.so	(gsl/shell/source/cmdmail)
libproxyset.so	(gsl/shell/source/proxysettings)
libsyssh.so	(gsl/shell/source/unix/exec)
libctl644ss.so	(gsl/UnoControls/util)

All modules (accessibility, forms, shell, UnoControls) have already
been added to CWS 'tune01', where this issue shall be fixed.

Please notify / dispatch to the appropriate owner(s). 

Thanks,
Matthias
Comment 5 matthias.huetsch 2003-03-26 17:53:29 UTC
Reassigning to project owner...
Comment 6 matthias.huetsch 2003-03-26 20:05:07 UTC
Actually, the following library is maintained by the 'dba' project:

libfrm644ss.so	(gsl/forms/util)

and has been added to issue 12692, you may just ignore it here.
Comment 7 matthias.huetsch 2003-04-03 11:54:20 UTC
Already fixed:

libraccessbridge.so  (gsl/accessibility/bridge/source/remote)
libctl644ss.so       (gsl/UnoControls/util)

Please fix the remaining libraries in 'shell' until Friday COB.
Comment 8 christof.pintaske 2003-04-03 14:53:17 UTC
added shell/source/cmdmail/exports.map
added shell/source/proxysettings/exports.map
added shell/source/unix/exec/exports.map

and changed the according makefile.mk
Comment 9 matthias.huetsch 2003-04-15 09:56:53 UTC
Verified...
Comment 10 christof.pintaske 2003-04-28 16:59:41 UTC
closed